<?xml version="1.0" encoding="UTF-8"?>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      >
    
     <h:head>
        <title>Cliente</title>
        
        <style>
.navbar {
    overflow: hidden;
    background-color: #333;
    font-family: Arial;
}

.navbar a {
    float: left;
    font-size: 16px;
    color: white;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
}

.dropdown {
    float: left;
    overflow: hidden;
}

.dropdown .dropbtn {
    font-size: 16px;    
    border: none;
    outline: none;
    color: white;
    padding: 14px 16px;
    background-color: inherit;
}

.navbar a:hover, .dropdown:hover .dropbtn {
    background-color: red;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

.dropdown-content a {
    float: none;
    color: black;
    padding: 20px 30px;
    text-decoration: none;
    display: block;
    text-align: left;
}

.dropdown-content a:hover {
    background-color: #ddd;
}

.dropdown:hover .dropdown-content {
    display: block;
}
</style>
    
  
    
    <h:body>
        
        <div class="navbar">
  <a href="/Exemplo_Livraria">Home</a>
  
  
  
              <h:link outcome="/genero/cadastro"> Cadastro </h:link>
              
              <h:link outcome="/autor/gerenciar"> Autor </h:link>
              
                <h:link outcome="/cliente/gerenciar"> Cliente </h:link>
                
                <h:link outcome="/livro/gerenciar"> Livro </h:link>

  
  
 
</div>

        
    </h:body>
        
    </h:head>
    
    <p:spacer height="30px" />
    
    <h:head>
        <title>Cliente</title>
    </h:head>
    <h:body>



        <h:form prependId="false">
            <p:growl autoUpdate="false" id="growl" />
            <p:fieldset legend="Cadastro de Cliente">
                <p:panelGrid columns="2" id="painel">
                    <f:facet name="header">
                        Dados do Cliente
                    </f:facet>
                    <p:outputLabel value="Codigo:" for="codigo" />
                    <p:inputText id="codigo"  style="width: 40px" readonly="true" value="#{clienteBean.codigo}" />
                    
                    <p:outputLabel value="Nome:" for="nome" />
                    <h:panelGroup >
                        <p:inputText id="nome" required="true" style="width: 400px" 
                                     placeholder="Entre com o nome" value="#{clienteBean.cliente.nome}" />
                        <p:message for="nome" />
                    </h:panelGroup>
                    
                       <p:outputLabel value="Cpf:" for="cpf" />
                    <h:panelGroup >
                        <p:inputMask id="cpf" mask="999.999.999-99" placeholder="XXX.XXX.XXX-" required="true"  value="#{clienteBean.cliente.cpf}"/>
                        <p:message for="cpf" />
                    </h:panelGroup>
                    
                    
                    
                    <p:outputLabel value="Telefone:" for="telefone" />
                    <h:panelGroup >
                        <p:inputMask id="telefone" mask="(99) 99999 - 9999" placeholder="XX XXXXX-XXXX" required="true"  value="#{clienteBean.cliente.telefone}"/>
                        <p:message for="telefone" />
                    </h:panelGroup>
                    
                     <p:outputLabel value="Celular:" for="celular" />
                    <h:panelGroup >
                        <p:inputMask id="celular" mask="(99) 99999 - 9999" placeholder="XX XXXXX-XXXX" required="true"  value="#{clienteBean.cliente.celular}"/>
                        <p:message for="celular" />
                    </h:panelGroup>
                     
                      <p:outputLabel  value="E-Mail:" for="email" />
                    <h:panelGroup >
                        <p:inputText  
                            style="width: 400px" placeholder="email@email.com" id="email" required="true"  value="#{clienteBean.cliente.email}"  />
                        <p:message for="email" />
                        </h:panelGroup>
                      
                       <p:outputLabel value="Lagradouro:" for="lagradouro" />
                    <h:panelGroup >
                        <p:inputText id="lagradouro" required="true" style="width: 400px" 
                                     placeholder="Entre com o endereço" value="#{clienteBean.cliente.lagradouro}" />
                        <p:message for="lagradouro" />
                    </h:panelGroup>
                       
                         <p:outputLabel value="Bairro:" for="bairro" />
                    <h:panelGroup >
                        <p:inputText id="bairro" required="true" style="width: 400px" 
                                     placeholder="Entre com o bairro" value="#{clienteBean.cliente.bairro}" />
                        <p:message for="bairro" />
                    </h:panelGroup>
                         
                          <p:outputLabel value="Número:" for="numero" />
                    <h:panelGroup >
                        <p:inputText id="numero" required="false" style="width: 50px" 
                                     placeholder="Nº" value="#{clienteBean.cliente.numero}" />
                        <p:message for="numero" />
                    </h:panelGroup>
                          
                           <p:outputLabel value="Cidade:" for="cidade" />
                    <h:panelGroup >
                        <p:inputText id="cidade" required="true" style="width: 200px" 
                                     placeholder="Cidade" value="#{clienteBean.cliente.cidade}" />
                        <p:message for="cidade" />
                    </h:panelGroup>
                           
                            <p:outputLabel value="Estado" for="estado" />
                    <h:panelGroup >
                        <p:inputText id="estado" required="true" style="width: 200px" 
                                     placeholder="Estado" value="#{clienteBean.cliente.estado}" />
                        <p:message for="estado" />
                    </h:panelGroup>
                            
                            <p:outputLabel value="País" for="pais" />
                    <h:panelGroup >
                        <p:inputText id="pais" required="true" style="width: 200px" 
                                     placeholder="País" value="#{clienteBean.cliente.pais}" />
                        <p:message for="pais" />
                    </h:panelGroup>
                    
                    <f:facet name="footer">
                        <p:commandButton value="Salvar" icon="fa-save"  action="#{clienteBean.salvar}" update="growl,painel,tabela" />
                        <p:spacer width="20px" />
                        <p:commandButton value="Novo" icon="fa-save"  ajax="false" action="#{clienteBean.novo}"/>
                    </f:facet>
                </p:panelGrid>
                <h:inputHidden value="#{clienteBean.cliente.id}" />
            </p:fieldset>

            <p:spacer height="20px" />

            <p:fieldset legend="Lista de Clientes" >
                <p:dataTable value="#{clienteBean.lista}" var="cliente" id="tabela">
                    <p:column headerText="Código" style="width: 80px; text-align: center">
                        <h:outputText value="#{cliente.id}" />
                    </p:column>
                    <p:column headerText="Nome">
                        <h:outputText value="#{cliente.nome}" />
                    </p:column>
                    <p:column headerText="Telefone">
                        <h:outputText value="#{cliente.telefone}" />
                    </p:column>
                    <p:column style="width: 100px; text-align: center">
                        <p:commandButton  icon="ui-icon-pencil
 " title="Editar" ajax="false" immediate="true">
                            <f:setPropertyActionListener target="#{clienteBean.cliente}" value="#{cliente}" />
                        </p:commandButton>

                        <p:commandButton icon="ui-icon-trash" title="Excluir" actionListener="#{clienteBean.excluir(cliente)}" process="@this" update="growl , tabela"  />

                    </p:column>




                </p:dataTable>

            </p:fieldset>
        </h:form>








    </h:body>
</html>
